List public plugins
curl --request GET \
--url https://services-api.talqui.chat/v1/plugins/publicimport requests
url = "https://services-api.talqui.chat/v1/plugins/public"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://services-api.talqui.chat/v1/plugins/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"plugins": [
{
"adapter": "<string>",
"pluginAvailable": true,
"pluginCategory": "<string>",
"pluginColor": "<string>",
"pluginContact": null,
"pluginDescription": "<string>",
"pluginHelp": null,
"pluginID": "<string>",
"pluginIcon": "<string>",
"pluginMarketing": {
"en": {
"heroDescription": null,
"heroTitle": null,
"menuDescription": null,
"seoDescription": null,
"seoTitle": null
},
"es": {
"heroDescription": null,
"heroTitle": null,
"menuDescription": null,
"seoDescription": null,
"seoTitle": null
},
"pt": {
"heroDescription": null,
"heroTitle": null,
"menuDescription": null,
"seoDescription": null,
"seoTitle": null
}
},
"pluginName": "<string>",
"pluginOrder": 123,
"pluginOrderPublic": 123,
"pluginPrivacy": null,
"pluginSlug": "<string>",
"pluginSummary": "<string>",
"pluginURN": "<string>",
"pluginVisible": true,
"pluginWebsite": null,
"presentationKey": "<string>"
}
]
}{
"errors": [
{
"error": "RequestValidationError",
"error_code": 1002,
"fields": [
{
"allowed": "<string>",
"field": "<string>",
"received": "<string>"
}
],
"message": "Invalid request data.",
"statusCode": 400
}
]
}{
"errors": [
{
"error": "UnknownError",
"error_code": 5999,
"message": "For some unknown reason your request has not succeeded.",
"statusCode": 500
}
]
}Plugins
List public plugins
Public, unauthenticated listing of the visible plugin catalog. Only non-sensitive fields are returned — credentials, tokens, and other internal configuration are never included.
GET
/
v1
/
plugins
/
public
List public plugins
Query Parameters
Page number, starting at 1.
Required range:
1 <= x <= 1000Maximum number of results per page.
Required range:
1 <= x <= 500Filters results to plugins in this category.
⌘I